Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.portals.bridges.struts.config
Class PortletURLTypes

    java.lang.Object
      org.apache.portals.bridges.struts.config.AbstractConfigComponent
          org.apache.portals.bridges.struts.config.PortletURLTypes

public class PortletURLTypes
extends AbstractConfigComponent

Nested Class Summary
`static class` | `PortletURLTypes.PortletURLType`
`static class` | `PortletURLTypes.URLType`

Nested classes inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
`AbstractConfigComponent.SetParentRule`

Field Summary
`private PortletURLTypes.URLType` | `defaultPortletURLType`
`private static Comparator` | `portletURLTypeComparator`
`private ArrayList` | `portletURLTypeList`
`private PortletURLTypes.PortletURLType[]` | `portletURLTypes`

Fields inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
``

Constructor Summary
`PortletURLTypes()`

Method Summary
`void` | `addActionType(PortletURLTypes.PortletURLType portletURLType)`
`void` | `addRenderType(PortletURLTypes.PortletURLType portletURLType)`
`void` | `addResourceType(PortletURLTypes.PortletURLType portletURLType)`
`void` | `afterLoad()`
`void` | `configure(org.apache.commons.digester.Digester digester)`
`PortletURLTypes.URLType` | `getType(String path)`
`void` | `setDefault(String value)`

Methods inherited from class org.apache.portals.bridges.struts.config.AbstractConfigComponent
`checkLoaded`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### portletURLTypeComparator

    private static final Comparator portletURLTypeComparator

### defaultPortletURLType

    private PortletURLTypes.URLType defaultPortletURLType

### portletURLTypes

    private PortletURLTypes.PortletURLType[] portletURLTypes

### portletURLTypeList

    private ArrayList portletURLTypeList

Constructor Detail

### PortletURLTypes

    public PortletURLTypes()

Method Detail

### addActionType

    public void addActionType(PortletURLTypes.PortletURLType portletURLType)

### addRenderType

    public void addRenderType(PortletURLTypes.PortletURLType portletURLType)

### addResourceType

    public void addResourceType(PortletURLTypes.PortletURLType portletURLType)

### setDefault

    public void setDefault(String value)

### configure

    public void configure(org.apache.commons.digester.Digester digester)

  Specified by:
    `configure` in class `AbstractConfigComponent`

### afterLoad

    public void afterLoad()

  Overrides:
    `afterLoad` in class `AbstractConfigComponent`

### getType

    public PortletURLTypes.URLType getType(String path)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.